org.keycloak.models.sessions.mongo.entities

## Class MongoClientSessionEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.sessions.mongo.entities.MongoClientSessionEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="clientSessions")
      public class MongoClientSessionEntity
      extends AbstractIdentifiableEntity
      implements MongoIdentifiableEntity

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoClientSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext context)` Lifecycle callback, which is called after removal of this object from Mongo.
    `ClientSessionModel.Action` | `getAction()`
    `String` | `getAuthMethod()`
    `String` | `getClientId()`
    `String` | `getId()`
    `Map<String,String>` | `getNotes()`
    `String` | `getRealmId()`
    `String` | `getRedirectUri()`
    `List<String>` | `getRoles()`
    `String` | `getSessionId()`
    `int` | `getTimestamp()`
    `void` | `setAction(ClientSessionModel.Action action)`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setClientId(String clientId)`
    `void` | `setId(String id)`
    `void` | `setNotes(Map<String,String> notes)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRedirectUri(String redirectUri)`
    `void` | `setRoles(List<String> roles)`
    `void` | `setSessionId(String sessionId)`
    `void` | `setTimestamp(int timestamp)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoClientSessionEntity

          public MongoClientSessionEntity()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `MongoIdentifiableEntity`
      Overrides:
        `getId` in class `AbstractIdentifiableEntity`

    - #### setId

          public void setId(String id)

      Specified by:
        `setId` in interface `MongoIdentifiableEntity`
      Overrides:
        `setId` in class `AbstractIdentifiableEntity`

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getAction

          public ClientSessionModel.Action getAction()

    - #### setAction

          public void setAction(ClientSessionModel.Action action)

    - #### getRoles

          public List<String> getRoles()

    - #### setRoles

          public void setRoles(List<String> roles)

    - #### getNotes

          public Map<String,String> getNotes()

    - #### setNotes

          public void setNotes(Map<String,String> notes)

    - #### getSessionId

          public String getSessionId()

    - #### setSessionId

          public void setSessionId(String sessionId)

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext context)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2015. All rights reserved.